package watch_graph //nolint:staticcheck

import (
	corev1 "k8s.io/api/core/v1"
	"k8s.io/apimachinery/pkg/apis/meta/v1/unstructured"
)

func (vx *wgObject2vertex) collectPodV1Arcs(obj *unstructured.Unstructured) *Error {
	o, err := unstructuredToTyped[corev1.Pod](obj)
	if err != nil {
		return err
	}

	vx.collectPodSpecV1Arcs(&o.Spec, ReferenceArcType)

	return nil
}
